Erro no Gerenciador de Pacotes

1. Erro no Gerenciador de Pacotes

Mauro sergio fernandes da silva
mauropediatra

(usa Lubuntu)

Enviado em 29/01/2017 - 10:47h

Bom dia!

Meu gerenciador de pacotes (uso lubuntu 16.04 e sou iniciante no sistema linux) reclama que "Ocorreu um erro" e descreve como:

E: Tipo 'sudo' não é conhecido na linha 51 na lista de fontes /etc/apt/sources.list
E: A lista de origens não pôde ser lida.
Configure as opções de repositórios para corrigir o problema.
E: _cache->open() failed, please report.


O que devo fazer? Já procurei aqui no forum, mas não achei uma solução!

Muito obrigado, Mauro




  


2. Re: Erro no Gerenciador de Pacotes

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 29/01/2017 - 11:03h

-rode e poste mensagens de erro dos comandos
sudo apt update
sudo apt upgrade

*******************************************
Meu Blog
http://dicaslinuxmint.blogspot.com.br/


3. Re: Erro no Gerenciador de Pacotes

IceStorms
IceStorms

(usa Sabayon)

Enviado em 29/01/2017 - 11:14h

Rode algum editor de texto no terminal para abrir o arquivo /etc/apt/sources.list
Exemplo:
sudo nano /etc/apt/sources.list 

Após abrir, observe o que tem na linha 51, ou copie o conteúdo e cole aqui no para que possamos ajudar.
Parece ter um repositório com falha nesta linha.


______________________________________
Debian. Mageia. FreeBSD.
Fedora. Linux Mint.
¨¨¨¨¨¨¨¨¨
Linux User: #438332
https://www.linuxcounter.net/cert/438332.png


4. Re: Erro no Gerenciador de Pacotes

Mauro sergio fernandes da silva
mauropediatra

(usa Lubuntu)

Enviado em 29/01/2017 - 11:36h

clodoaldops escreveu:

-rode e poste mensagens de erro dos comandos
sudo apt update
sudo apt upgrade

*******************************************
Meu Blog
http://dicaslinuxmint.blogspot.com.br/


[email protected]:~$ sudo apt update
E: Tipo 'sudo' não é conhecido na linha 51 na lista de fontes /etc/apt/sources.list
E: A lista de fontes não pode ser lida.



5. Re: Erro no Gerenciador de Pacotes

Mauro sergio fernandes da silva
mauropediatra

(usa Lubuntu)

Enviado em 29/01/2017 - 11:37h

clodoaldops escreveu:

-rode e poste mensagens de erro dos comandos
sudo apt update
sudo apt upgrade

*******************************************
Meu Blog
http://dicaslinuxmint.blogspot.com.br/



[email protected]:~$ sudo apt upgrade
E: Tipo 'sudo' não é conhecido na linha 51 na lista de fontes /etc/apt/sources.list
E: A lista de fontes não pode ser lida.


6. Re: Erro no Gerenciador de Pacotes

Mauro sergio fernandes da silva
mauropediatra

(usa Lubuntu)

Enviado em 29/01/2017 - 11:39h

IceStorms escreveu:

Rode algum editor de texto no terminal para abrir o arquivo /etc/apt/sources.list
Exemplo:
sudo nano /etc/apt/sources.list 

Após abrir, observe o que tem na linha 51, ou copie o conteúdo e cole aqui no para que possamos ajudar.
Parece ter um repositório com falha nesta linha.


______________________________________
Debian. Mageia. FreeBSD.
Fedora. Linux Mint.
¨¨¨¨¨¨¨¨¨
Linux User: #438332
https://www.linuxcounter.net/cert/438332.png



Quando fiz o que o IceStorms pediu, aparece isso "sudo apt-key add " na última linha





7. Re: Erro no Gerenciador de Pacotes

IceStorms
IceStorms

(usa Sabayon)

Enviado em 29/01/2017 - 11:43h

Selecione e copie (Ctrl + Shift + C)

depois cole aqui seus repositórios.



______________________________________
Debian. Mageia. FreeBSD.
Fedora. Linux Mint.
¨¨¨¨¨¨¨¨¨
Linux User: #438332
https://www.linuxcounter.net/cert/438332.png


8. Re: Erro no Gerenciador de Pacotes

Mauro sergio fernandes da silva
mauropediatra

(usa Lubuntu)

Enviado em 29/01/2017 - 11:45h

mauropediatra escreveu:

IceStorms escreveu:

Rode algum editor de texto no terminal para abrir o arquivo /etc/apt/sources.list
Exemplo:
sudo nano /etc/apt/sources.list 

Após abrir, observe o que tem na linha 51, ou copie o conteúdo e cole aqui no para que possamos ajudar.
Parece ter um repositório com falha nesta linha.


______________________________________
Debian. Mageia. FreeBSD.
Fedora. Linux Mint.
¨¨¨¨¨¨¨¨¨
Linux User: #438332
https://www.linuxcounter.net/cert/438332.png



Quando fiz o que o IceStorms pediu, aparece isso "sudo apt-key add " na última linha




uma linha antes, tinha isso: "# deb-src http://security.ubuntu.com/ubuntu yakkety-security multiverse"


9. Re: Erro no Gerenciador de Pacotes

Mauro sergio fernandes da silva
mauropediatra

(usa Lubuntu)

Enviado em 29/01/2017 - 11:48h

IceStorms escreveu:

Selecione e copie (Ctrl + Shift + C)

depois cole aqui seus repositórios.


copio tudo que apareceu no terminal, linha por linha?



______________________________________
Debian. Mageia. FreeBSD.
Fedora. Linux Mint.
¨¨¨¨¨¨¨¨¨
Linux User: #438332
https://www.linuxcounter.net/cert/438332.png





10. Re: Erro no Gerenciador de Pacotes

Mauro sergio fernandes da silva
mauropediatra

(usa Lubuntu)

Enviado em 29/01/2017 - 11:58h

IceStorms escreveu:

Selecione e copie (Ctrl + Shift + C)

depois cole aqui seus repositórios.



______________________________________
Debian. Mageia. FreeBSD.
Fedora. Linux Mint.
¨¨¨¨¨¨¨¨¨
Linux User: #438332
https://www.linuxcounter.net/cert/438332.png




# deb-src http://br.archive.ubuntu.com/ubuntu/ yakkety-updates universe


esta é a linha 51

Por favor me ajudem!!!!!!




11. Re: Erro no Gerenciador de Pacotes

IceStorms
IceStorms

(usa Sabayon)

Enviado em 29/01/2017 - 12:25h

Essa linha está comentada com #, então essa não seria o problema, mas você precisa ter certeza se essa é a linha 51, pois isso não faz sentido.

Talvez seja melhor você colar tudo que tem lá ou conte novamente as linhas.


______________________________________
Debian. Mageia. FreeBSD.
Fedora. Linux Mint.
¨¨¨¨¨¨¨¨¨
Linux User: #438332
https://www.linuxcounter.net/cert/438332.png


12. Re: Erro no Gerenciador de Pacotes

Mauro sergio fernandes da silva
mauropediatra

(usa Lubuntu)

Enviado em 29/01/2017 - 14:52h

IceStorms escreveu:

Essa linha está comentada com #, então essa não seria o problema, mas você precisa ter certeza se essa é a linha 51, pois isso não faz sentido.

Talvez seja melhor você colar tudo que tem lá ou conte novamente as linhas.


______________________________________
Debian. Mageia. FreeBSD.
Fedora. Linux Mint.
¨¨¨¨¨¨¨¨¨
Linux User: #438332
https://www.linuxcounter.net/cert/438332.png




Digitei o comando exatamente como vc sugeriu, o que aparece na tela do terminal é o que vem abaixo:


# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://br.archive.ubuntu.com/ubuntu/ yakkety main restricted
# deb-src http://br.archive.ubuntu.com/ubuntu/ yakkety main restricted
## Major bug fix updates produced after the final release of the
## distribution.
deb http://br.archive.ubuntu.com/ubuntu/ yakkety-updates main restricted
# deb-src http://br.archive.ubuntu.com/ubuntu/ yakkety-updates main restricted
## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://br.archive.ubuntu.com/ubuntu/ yakkety universe
# deb-src http://br.archive.ubuntu.com/ubuntu/ yakkety universe
deb http://br.archive.ubuntu.com/ubuntu/ yakkety-updates universe
# deb-src http://br.archive.ubuntu.com/ubuntu/ yakkety-updates universe
## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://br.archive.ubuntu.com/ubuntu/ yakkety multiverse
# deb-src http://br.archive.ubuntu.com/ubuntu/ yakkety multiverse
deb http://br.archive.ubuntu.com/ubuntu/ yakkety-updates multiverse
# deb-src http://br.archive.ubuntu.com/ubuntu/ yakkety-updates multiverse
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://br.archive.ubuntu.com/ubuntu/ yakkety-backports main restricted universe multiverse
# deb-src http://br.archive.ubuntu.com/ubuntu/ yakkety-backports main restricted universe multiverse
## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.



01 02



Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts